{% load i18n %}
[TOC]
# {% trans 'Api Document' %}
{% if server %}
## {% trans 'Server Address' %}

`{{server}}`
{% endif %}
## {% trans 'Error Code List' %}

| {% trans 'Tag' %} | {% trans 'Code' %} | {% trans 'Desc' %} |
| ---- | ---- | ---- |
{% for error_code in error_codes %}| `{{error_code.tag}}` | `{{error_code.code}}` | {{error_code.desc}} |
{% endfor %}


## {% trans 'Api List' %}

{% for api in apis %}
### {{api.name}}

{% trans 'Request Api :' %} [`{{ api.url }}`]({{ server }}{{ api.url }})

{% if api.info and api.info.request_info and api.self_params %}
{% trans 'Request Param :' %}

| {% trans 'Field name' %} | {% trans 'Label' %} | {% trans 'Type' %} | {% trans 'Required' %} | {% trans 'Default value' %} | {% trans 'Help text' %} | {% trans 'Field info' %} |
| ---- | ---- | ---- | ---- | ---- | ---- | ---- |
{% for field_name, field in api.info.request_info.items %}{%if not field.base_param %}| {% if field.required %}**`{{ field_name }}`**{% else %}`{{ field_name }}`{% endif %} | {{ field.label }} | {{ field.type }} | {{ field.required_format }} | {{ field.default_format }} | {{ field.help_text|default_if_none:'' }} | {{ field.extend_info_format }} |
{% endif %}{% endfor %}{% endif %}

{% if api.info and api.info.response_info_format %}
{% trans 'Response Info :' %}

```
{{ api.info.response_info_format|safe }}
```
{% endif %}
{% endfor %}
